1795971 - FileInvalidException:SecStore.properties is invalid: software version is incompatible with file version | SAP Knowledge Base Article

SAP Knowledge Base Article - Preview

1795971 - FileInvalidException:SecStore.properties is invalid: software version is incompatible with file version

Symptom

The server nodes fail to start correctly, in the server logs you see the following error:

com.sap.engine.frame.core.configuration.ConfigurationException: Error while connecting to DB.
..........
Caused by: com.sap.sql.log.OpenSQLException: Error while accessing secure store: File "/usr/sap/<SystemID>/SYS/global/security/data/SecStore.properties" is invalid: software version 6.30.000.001 is incompatible with file version 7.00.000.001.


Read more...

Environment

  • SAP NetWeaver 7.0

Product

SAP NetWeaver 2004 ; SAP NetWeaver 7.0 ; SAP enhancement package 1 for SAP NetWeaver 7.0 ; SAP enhancement package 2 for SAP NetWeaver 7.0 ; SAP enhancement package 3 for SAP NetWeaver 7.0

Keywords

SecStore.properties, software version 6.30.000.001 is incompatible with file version 7.00.000.001, FileInvalidException, Dual Stack Split , KBA , BC-JAS-COR , Enterprise Runtime, Core J2EE Framework , Problem

About this page

This is a preview of a SAP Knowledge Base Article. Click more to access the full version on SAP ONE Support launchpad (Login required).

Search for additional results

Visit SAP Support Portal's SAP Notes and KBA Search.